Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 414241 (qt-4.8.1-stable) - Qt 4.8.1 stabilization
Summary: Qt 4.8.1 stabilization
Status: RESOLVED FIXED
Alias: qt-4.8.1-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: CVE-2011-4599 401557 409677 411873 414309 414353 414355 414369 414417 415409 415481 415551
Blocks: 385025 387791 399291 399477 408711 413815 414209 415261 415473 calligra-stable 416723
  Show dependency tree
 
Reported: 2012-05-01 14:36 UTC by Davide Pesavento
Modified: 2012-07-09 05:04 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2012-05-01 14:36:57 UTC
Qt 4.8.1 is ready to go stable.
Comment 1 Davide Pesavento gentoo-dev 2012-05-07 16:54:51 UTC
Arches, please test and mark the following packages stable:

x11-libs/qt-assistant-4.8.1-r1 (except hppa)
x11-libs/qt-core-4.8.1-r2
x11-libs/qt-dbus-4.8.1
x11-libs/qt-declarative-4.8.1  (except hppa and ia64)
x11-libs/qt-demo-4.8.1-r1      (except arm, hppa and ia64)
x11-libs/qt-gui-4.8.1-r1
x11-libs/qt-multimedia-4.8.1   (except arm, hppa and ia64)
x11-libs/qt-opengl-4.8.1
x11-libs/qt-openvg-4.8.1       (except arm, hppa and ia64, new package)
x11-libs/qt-phonon-4.8.1       (except ia64)
x11-libs/qt-qt3support-4.8.1
x11-libs/qt-script-4.8.1
x11-libs/qt-sql-4.8.1
x11-libs/qt-svg-4.8.1
x11-libs/qt-test-4.8.1
x11-libs/qt-webkit-4.8.1       (except hppa)
x11-libs/qt-xmlpatterns-4.8.1

Thank you!
Comment 2 Davide Pesavento gentoo-dev 2012-05-07 17:23:34 UTC
amd64, hppa and x86 can optionally stabilize =x11-libs/qt-bearer-4.8.1 too, if they wish.

Other arches are strongly encouraged to keyword it asap (see bug 412915), because it will be a hard requirement in the future.
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2012-05-07 20:20:14 UTC
=app-admin/eselect-qtgraphicssystem-1.1.1 is also required
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2012-05-08 18:23:40 UTC
amd64 done
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2012-05-09 18:05:20 UTC
=x11-libs/qt-meta-4.8 is also required
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2012-05-09 18:43:02 UTC
Please ignore my last comment. I am not sure if the meta package is supposed to have stable keywords
Comment 7 Markus Meier gentoo-dev 2012-05-13 08:56:13 UTC
arm stable
Comment 8 Jeroen Roovers gentoo-dev 2012-05-16 16:00:14 UTC
Stable for HPPA.
Comment 9 Agostino Sarubbo gentoo-dev 2012-05-20 13:21:09 UTC
x86 stable
Comment 10 Davide Pesavento gentoo-dev 2012-05-20 20:05:02 UTC
New target version for x11-libs/qt-core is 4.8.1-r3
Comment 11 Davide Pesavento gentoo-dev 2012-06-21 17:31:02 UTC
Removing ia64, Qt has been dropped to ~ia64 only.
Comment 12 Raúl Porcel (RETIRED) gentoo-dev 2012-06-25 16:15:47 UTC
alpha/ia64 stable
Comment 13 Michael Weber (RETIRED) gentoo-dev 2012-07-06 05:26:53 UTC
ppc stable
Comment 14 Ben de Groot (RETIRED) gentoo-dev 2012-07-09 05:04:59 UTC
Since ppc64 have stabilized 4.8.2 in bug #424625, we will consider this one as fixed.